Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class TransactionQuantities2Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.TransactionQuantities2Choice

public class TransactionQuantities2Choice extends Object

Java class for TransactionQuantities2Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionQuantities2Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Qty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}FinancialInstrumentQuantityChoice"/>
             <element name="OrgnlAndCurFaceAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}OriginalAndCurrentQuantities1"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ProprietaryQuantity1"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OriginalAndCurrentQuantities1`
`orgnlAndCurFaceAmt`
`protected ProprietaryQuantity1`
`prtry`
`protected FinancialInstrumentQuantityChoice`
`qty`

## Constructor Summary

Constructors
Constructor
Description
`TransactionQuantities2Choice()`

## Method Summary

Modifier and Type
Method
Description
`OriginalAndCurrentQuantities1`
`getOrgnlAndCurFaceAmt()`
Gets the value of the orgnlAndCurFaceAmt property.
`ProprietaryQuantity1`
`getPrtry()`
Gets the value of the prtry property.
`FinancialInstrumentQuantityChoice`
`getQty()`
Gets the value of the qty property.
`void`
`setOrgnlAndCurFaceAmt(OriginalAndCurrentQuantities1 value)`
Sets the value of the orgnlAndCurFaceAmt property.
`void`
`setPrtry(ProprietaryQuantity1 value)`
Sets the value of the prtry property.
`void`
`setQty(FinancialInstrumentQuantityChoice value)`
Sets the value of the qty property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### qty

protected FinancialInstrumentQuantityChoice qty

### orgnlAndCurFaceAmt

protected OriginalAndCurrentQuantities1 orgnlAndCurFaceAmt

### prtry

protected ProprietaryQuantity1 prtry

## Constructor Details

### TransactionQuantities2Choice

public TransactionQuantities2Choice()

## Method Details

### getQty

public FinancialInstrumentQuantityChoice getQty()
Gets the value of the qty property.

Returns:
  possible object is `FinancialInstrumentQuantityChoice`

### setQty

public void setQty(FinancialInstrumentQuantityChoice value)
Sets the value of the qty property.

Parameters:
  `value` - allowed object is `FinancialInstrumentQuantityChoice`

### getOrgnlAndCurFaceAmt

public OriginalAndCurrentQuantities1 getOrgnlAndCurFaceAmt()
Gets the value of the orgnlAndCurFaceAmt property.

Returns:
  possible object is `OriginalAndCurrentQuantities1`

### setOrgnlAndCurFaceAmt

public void setOrgnlAndCurFaceAmt(OriginalAndCurrentQuantities1 value)
Sets the value of the orgnlAndCurFaceAmt property.

Parameters:
  `value` - allowed object is `OriginalAndCurrentQuantities1`

### getPrtry

public ProprietaryQuantity1 getPrtry()
Gets the value of the prtry property.

Returns:
  possible object is `ProprietaryQuantity1`

### setPrtry

public void setPrtry(ProprietaryQuantity1 value)
Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `ProprietaryQuantity1`